#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		needlibxml	2.10.4
%global		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	libxslt
Version		:	1.1.39
Release		:	16.2.0.rel%{?dist}
Summary		:	Library providing the Gnome XSLT engine
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://gitlab.gnome.org/GNOME/libxslt/
			#http://xmlsoft.org/XSLT

Source0		:	%{name}-%{version}.tar.xz
#----------------------------------------------------------------------------
BuildRequires	:	python3-libxml2	>= %{needlibxml}

Requires	:	libxml2 => %{needlibxml}
#-----------------------------------------------------------------------------
%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= %{needlibxml}
installed. The xsltproc command is a command line interface to the XSLT engine.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS FEATURES NEWS README.md
%doc doc/tutorial
%doc doc/tutorial2
%doc doc/EXSLT
%{_includedir}/libexslt
%{_includedir}/%{name}
%{_bindir}/xslt-config
%{_bindir}/xsltproc
%{_libdir}/xsltConf.sh
%{_libdir}/libexslt.*
%{_libdir}/libxslt.*
%{_libdir}/pkgconfig/libexslt.pc
%{_libdir}/pkgconfig/libxslt.pc
%{_libdir}/cmake/%{name}/*.cmake
%{python3_sitelib}/%{name}*
%{python3_sitelib}/__pycache__/%{name}*.pyc
%{_datadir}/gtk-doc/html/
%{_datadir}/aclocal/libxslt.m4
%{_defaultdocdir}/%{name}-%{version}/xsltproc.html
%{_defaultdocdir}/%{name}-%{version}/python/examples/*.py
%{_defaultdocdir}/%{name}-%{version}/python/examples/test.x*
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure 						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\
	--disable-silent-rules				\
	--with-python=yes				\
	--with-crypto=no				\
	PYTHON=%{__python}				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

# %makeinstall
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mv}							\
	%{buildroot}%{_defaultdocdir}/%{name}		\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#rm -vrf %{buildroot}%{_docdir}

#-----------------------------------------------------------------------------
%changelog
